Subject: Re: buffer overruns

From: Ben Greear <[email-masked]>
Date: Sat, 24 Apr 2004 00:55:31 -0700

Ramesh Chaurasiya wrote:
> Hi,
>   Whenever I try to receive traffic at more than 500 Mbps, many packets
> are being dropped as shown in ifconfig. There are many overruns and errors
> in Rx packets details of ifconfig. I am using Intel PRO 1000 Gigabit NIC,
> linux 2.4.20-8smp and dual processsor Xeon Machine with a 32bit/33 MHz PCI
> bus. What does this error means. Am I dropping packets at
> NIC/driver/kernel buffers/application socket? What new hardware should I
> use to overcome this. I am using latest e1000 drivers compiled with NAPI
> support. Please help me out.
> Thanks,
> Ramesh.

Get a 64-bit PCI-X bus, and set the RxDescriptors and TxDescriptors
in the e1000 driver to 4096.

With that, I can get about 999Mbps rx + tx on two ports.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com